Bug 438303 (CVE-2008-1373) - CVE-2008-1373 cups: overflow in gif image filter
Summary: CVE-2008-1373 cups: overflow in gif image filter
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-1373
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=redhat,reported=20080320,publi...
Keywords: Security
Depends On: 438347 438348 438349 438350 438351 440040 440041 440042
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-20 10:16 UTC by Tomas Hoger
Modified: 2008-04-09 06:22 UTC (History)
3 users (show)

Fixed In Version: 1.3.6-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 05:12:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (484 bytes, patch)
2008-03-20 10:22 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0192 normal SHIPPED_LIVE Moderate: cups security update 2008-04-01 14:10:09 UTC
Red Hat Product Errata RHSA-2008:0206 normal SHIPPED_LIVE Moderate: cups security update 2008-04-01 14:23:56 UTC

Description Tomas Hoger 2008-03-20 10:16:46 UTC
It was discovered that GIF parsing code used by CUPS printing system is affected
by similar issue as GIF parsers used by gd / netpbm / tk / SDL_image.

Value of code_size read from GIF image is not properly validate before being
used to initialize table array in gif_read_lzw(), causing a static buffer overflow.

Issue is similar to:
CVE-2006-4484 (gd), CVE-2007-6697 (SDL_image), CVE-2008-0553 (tk), CVE-2008-0554
(netpbm)

Comment 2 Tomas Hoger 2008-03-20 10:22:19 UTC
Created attachment 298680 [details]
Proposed patch

Similar to fixed used in gd / tk / netpbm / SDL_image.

Comment 5 Tomas Hoger 2008-03-20 17:17:44 UTC
Tracked upstream via: http://www.cups.org/str.php?L2765

Comment 9 Fedora Update System 2008-04-01 16:20:20 UTC
cups-1.2.12-10.fc7 has been submitted as an update for Fedora 7

Comment 10 Fedora Update System 2008-04-09 05:11:48 UTC
cups-1.3.6-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-04-09 05:13:10 UTC
cups-1.2.12-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.